Package org.apache.axiom.util.activation

## Class DataHandlerWrapper

- java.lang.Object
- - javax.activation.DataHandler
  - - org.apache.axiom.util.activation.DataHandlerWrapper

- All Implemented Interfaces:
    `Transferable`

      public class DataHandlerWrapper
      extends DataHandler

  Base class for `DataHandler` wrappers.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DataHandlerWrapper​(DataHandler parent)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CommandInfo[]` | `getAllCommands()` |
    `Object` | `getBean​(CommandInfo cmdinfo)` |
    `CommandInfo` | `getCommand​(String cmdName)` |
    `Object` | `getContent()` |
    `String` | `getContentType()` |
    `DataSource` | `getDataSource()` |
    `InputStream` | `getInputStream()` |
    `String` | `getName()` |
    `OutputStream` | `getOutputStream()` |
    `CommandInfo[]` | `getPreferredCommands()` |
    `Object` | `getTransferData​(DataFlavor flavor)` |
    `DataFlavor[]` | `getTransferDataFlavors()` |
    `boolean` | `isDataFlavorSupported​(DataFlavor flavor)` |
    `void` | `setCommandMap​(CommandMap commandMap)` |
    `void` | `writeTo​(OutputStream os)` |

    - ### Methods inherited from class javax.activation.DataHandler

      `setDataContentHandlerFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataHandlerWrapper

          public DataHandlerWrapper​(DataHandler parent)

  - ### Method Detail

    - #### getAllCommands

          public CommandInfo[] getAllCommands()

      Overrides:
        `getAllCommands` in class `DataHandler`

    - #### getBean

          public Object getBean​(CommandInfo cmdinfo)

      Overrides:
        `getBean` in class `DataHandler`

    - #### getCommand

          public CommandInfo getCommand​(String cmdName)

      Overrides:
        `getCommand` in class `DataHandler`

    - #### getContent

          public Object getContent()
                            throws IOException

      Overrides:
        `getContent` in class `DataHandler`
      Throws:
        `IOException`

    - #### getContentType

          public String getContentType()

      Overrides:
        `getContentType` in class `DataHandler`

    - #### getDataSource

          public DataSource getDataSource()

      Overrides:
        `getDataSource` in class `DataHandler`

    - #### getInputStream

          public InputStream getInputStream()
                                     throws IOException

      Overrides:
        `getInputStream` in class `DataHandler`
      Throws:
        `IOException`

    - #### getName

          public String getName()

      Overrides:
        `getName` in class `DataHandler`

    - #### getOutputStream

          public OutputStream getOutputStream()
                                       throws IOException

      Overrides:
        `getOutputStream` in class `DataHandler`
      Throws:
        `IOException`

    - #### getPreferredCommands

          public CommandInfo[] getPreferredCommands()

      Overrides:
        `getPreferredCommands` in class `DataHandler`

    - #### getTransferData

          public Object getTransferData​(DataFlavor flavor)
                                 throws UnsupportedFlavorException,
                                        IOException

      Specified by:
        `getTransferData` in interface `Transferable`
      Overrides:
        `getTransferData` in class `DataHandler`
      Throws:
        `UnsupportedFlavorException`
        `IOException`

    - #### getTransferDataFlavors

          public DataFlavor[] getTransferDataFlavors()

      Specified by:
        `getTransferDataFlavors` in interface `Transferable`
      Overrides:
        `getTransferDataFlavors` in class `DataHandler`

    - #### isDataFlavorSupported

          public boolean isDataFlavorSupported​(DataFlavor flavor)

      Specified by:
        `isDataFlavorSupported` in interface `Transferable`
      Overrides:
        `isDataFlavorSupported` in class `DataHandler`

    - #### setCommandMap

          public void setCommandMap​(CommandMap commandMap)

      Overrides:
        `setCommandMap` in class `DataHandler`

    - #### writeTo

          public void writeTo​(OutputStream os)
                       throws IOException

      Overrides:
        `writeTo` in class `DataHandler`
      Throws:
        `IOException`